Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036502
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-07-15 18:282017-09-22 10:21
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision063f78b7edbc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036502: ant check.window.compatibility task is no longer useful (as Wad shows error per window now for those)

DescriptionThe ant check.window.compatibility task can be run to check all windows in a instance and show which ones are not compatible with 3.0 and will not work correctly.

However recently all code for 2.50 style windows has been removed. So any window which is still not compatible with 3.0 will no longer work.

Wad when running will show a error message per window.

So since this change the extra ant check.window.compatibility task is no longer useful as to use it the instance need to be compiled first anyway and during compilation Wad will show clearer message using error anyway.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036923 closedshuehner api-changes related to unused code removal 
depends on design defect 0032688 acknowledgedplatform remove unused resources 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0098084)
shuehner (administrator)
2017-07-15 18:56

Note: When fixing update this wiki page to remove mention of task:
http://wiki.openbravo.com/wiki/Development_Build_Tasks#Check_Window_Compatibility [^]
(0099443)
hgbot (developer)
2017-09-21 23:11

Repository: erp/devel/pi
Changeset: 063f78b7edbc5b7ff3ae1ddd800f82fbd9c77b14
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Sep 15 17:20:13 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/063f78b7edbc5b7ff3ae1ddd800f82fbd9c77b14 [^]

Fixed 36502. Remove no longer useful ant check.window.compatibility task.

Wad will show clear error during compilation for any window/tab not compatible
with 3.0 as the code to suppor them has been removed.

So an extra compile task to show info message about 'those windows maybe not
working anymore' is no longer useful.

---
M build.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationUtils.java
R modules/org.openbravo.client.application/src/org/openbravo/client/application/WindowsInClassicModeTask.java
---
(0099472)
alostale (developer)
2017-09-22 10:21

reviewed

- Issue History
Date Modified Username Field Change
2017-07-15 18:28 shuehner New Issue
2017-07-15 18:28 shuehner Assigned To => shuehner
2017-07-15 18:28 shuehner Modules => Core
2017-07-15 18:28 shuehner Triggers an Emergency Pack => No
2017-07-15 18:29 shuehner Relationship added depends on 0032688
2017-07-15 18:56 shuehner Note Added: 0098084
2017-09-21 23:06 shuehner Relationship added related to 0036923
2017-09-21 23:11 hgbot Checkin
2017-09-21 23:11 hgbot Note Added: 0099443
2017-09-21 23:11 hgbot Status new => resolved
2017-09-21 23:11 hgbot Resolution open => fixed
2017-09-21 23:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/063f78b7edbc5b7ff3ae1ddd800f82fbd9c77b14 [^]
2017-09-21 23:13 shuehner Review Assigned To => alostale
2017-09-21 23:13 shuehner Fixed in Version => 3.0PR17Q4
2017-09-22 10:21 alostale Note Added: 0099472
2017-09-22 10:21 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker